Delete Customer
curl --request POST \
--url https://app.dimepayments.com/api/customer/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [],
"filters": []
}
'import requests
url = "https://app.dimepayments.com/api/customer/delete"
payload = {
"data": [],
"filters": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: [], filters: []})
};
fetch('https://app.dimepayments.com/api/customer/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "66f1c230-68cf-4d58-b47c-1bcb83adfddd",
"first_name": "Ryan",
"last_name": "Taylor",
"phone": "+17707892072",
"email": "rtaylor82@gmail.com",
"addr1": "4655 Hwy 136 W",
"addr2": "",
"addr3": "",
"city": "Dawsonville",
"state": "GA",
"zip": "30534",
"country": "USA"
}
}{
"message": "Validation errors"
}{
"data": {
"message": "Permission Denied."
}
}Customer management
Delete Customer
Delete a customer record from the selected Merchant. One of the filters is required to select a unique customer. This will also cancel any recurring payments associated with the customer for your company.
POST
/
api
/
customer
/
delete
Delete Customer
Authorizations
You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.
Body
application/json
Response
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I

